/* ****************************************************************************	*/
/* * msgbox css																	*/
/* ****************************************************************************	*/
	.ESS-modal {        							/* was .modal { */
		display: none;								/* added */
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(0,0,0,0.5);
		/* display: flex; */		
		justify-content: center;
		align-items: center;
		z-index: 1000;
	}

	/* Modal frame */
	.ESS-modal-content {
	  background-color: #fff;
	  margin:10% auto;
	  padding:20px;
	  border-radius: 8px;
	  width: 22.5rem;
	  max-height: 80%;
	  display: flex;
	  flex-direction: column;
	  overflow: hidden;
	  border: 4px solid #3274D6; /* frame look */
	  /* box-shadow: 0 8px 16px rgba(0,0,0,0.3); */
	  box-shadow: 7px 10px 10px rgb(33, 188, 255);
	}

	/* Header with schoolhouse */
	.ESS-modal-header {
	  flex: 0 0 auto;
	  text-align: center;
	  padding: 5px;
	  background-color: #e0e0e0;
	  border-bottom: 2px solid #3274D6;
	}

	.ESS-modal-header img {
	  max-height: 30px;
	}

	/* Scrollable message area */
	.ESS-modal-body {
	  flex: 1 1 auto;
	  overflow-y: auto;
	  padding: 15px;
	  font-family: Arial, sans-serif;
	  line-height: 1.4;
	}
	
	/* message area  */
	.ESS-modal-text {
		white-space: pre-wrap;
	}


	/* Footer with push-button */

	.ESS-modal-footer {
		flex: 0 0 auto;
		text-align: center;
		padding-top: 5px;
		padding-right: 5px;
		padding-bottom: 12px;
		padding-left: 5px;	  
		background-color: #e0e0e0;
		border-top: 2px solid #3274D6;
	}

	/* Push-button style (animated) */
	.ESS-PushButton {
	  font-size: 12px;
	  text-align: center;
	  cursor: pointer;
	  outline: none;
	  color: #fff;
	  background-color: #3274D6;
	  border: none;
	  border-radius: 15px;
	  box-shadow: 0 9px #999;
	  padding: 5px 12px;
	  transition: background-color 0.2s, transform 0.1s;
	}

	.ESS-PushButton:hover {
	  background-color: #3e8e41;
	}

	.ESS-PushButton:active {
	  background-color: #3e8e41;
	  box-shadow: 0 5px #666;
	  transform: translateY(4px);
	}

	.ESS-modal-button {
		margin-top: 1rem;
		padding: 0.5rem 1.5rem;
		font-size: 1rem;
		background-color: #007BFF;
		color: white;
		border: none;
		border-radius: 5px;
		cursor: pointer;
	}

